/*
 * defs.h
 *
 * Created: 2013-05-17 13:37:52
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

//----------------------------------
#define LCD_COM_PORT		PORTC
#define LCD_COM_DDR			DDRC
#define LCD_RS				5
#define LCD_EN				3
//#define LCD_RW				4

#define LCD_DATA_PORT		PORTC
#define LCD_DATA_DDR		DDRC
#define LCD_DB4				2
#define LCD_DB5				1
#define LCD_DB6				0
#define LCD_DB7				4

/*
#define BKL_ON				(LCD_BKL_PORT |= (1<<LCD_BKL))
#define BKL_OFF				(LCD_BKL_PORT &= ~(1<<LCD_BKL))
*/

//-----------------------------------
#define OUT_PORT			PORTB
#define OUT_DDR				DDRB
#define OUTPUT				0
#define LED_PIN				6

#define OUTPUT_ON			(OUT_PORT |= (1<<OUTPUT))
#define OUTPUT_OFF			(OUT_PORT &= ~(1<<OUTPUT))
#define OUTPUT_GET			(OUT_PORT & (1<<OUTPUT))

#define LED_ON				(OUT_PORT |= (1<<LED_PIN))
#define LED_OFF				(OUT_PORT &= ~(1<<LED_PIN))

//----------------------------------
#define MODE_PORT			PORTD
#define MODE_IN				PIND
#define MODE_PIN			0
#define MODE_CHECK			(MODE_IN & (1<<MODE_IN))

//----------------------------------
#define SW_PORT				PORTB
#define SW_DDR				DDRB
#define SW_PIN				PINB
#define SW1_PIN				1		
#define SW2_PIN				2		
#define SW3_PIN				3
#define SW4_PIN				4
#define GET_SW				PINB 

#define BUTTON_CLICK		1
#define BUTTON_THRESHOLD	20
#define BUTTON_REPEAT		2
#define BUTTON_HOLD			16

//----------------------------------
#define ONEW_PORT			PORTD
#define ONEW_DDR			DDRD
#define ONEW_PIN			PIND
#define ONEW				7

//-----------------------------------
#define IDLE_TIME			20
#define MAIN_DELAY			25
#define LCD_BKL_IDLE		25

#define TEMP_MAX_RANGE		800
#define TEMP_MIN_RANGE		0



#endif /* DEFS_H_ */