/*
 * dstemp.h
 *
 * Created: 2012-03-15 08:13:30
 *  Author: dsosnowski
 */ 


#ifndef DSTEMP_H_
#define DSTEMP_H_

#define DS_IDLE				0
#define DS_OK				0
#define DS_CONVERTING		1
#define DS_READY			2
#define DS_ERR				3
#define DS_FAILURE			4

void SystemUsDelay(char us);
int16_t DSTempGet(void);
void DSprocessInit(void);
char DSProcess(void);
char DSReset (void);
char DSGetType (void);
void DSWriteByte(char byte);
void DSWriteBit(char bit);
char DSReadByte(void);
char DSReadBit(void);
int16_t TempConvert(void);


#endif /* DSTEMP_H_ */